> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/layers/layergroup.md).

# LayerGroup

***

## Properties

### id

> **id**: `string`

A string identifying the layer group.

***

### name

> **name**: `string`

The name of the layer group. This is shown in the legend.

***

### caption

> **caption**: `null` | `string`

The caption of the layer group. This is shown in the legend.

***

### layerIds

> **layerIds**: `string`\[]

The ids of the layers in the layer group.

#### Remarks

You can use these ids to get the full layer objects via the [\`getLayers\`](/js-sdk-api-reference/layers/layerscontroller.md#getlayers) method.

***

### visible

> **visible**: `boolean`

Whether the layer group is visible or not.

***

### shownInLegend

> **shownInLegend**: `boolean`

Whether the layer group is shown in the legend or not.

***

### bounds

> **bounds**: `null` | \[`number`, `number`, `number`, `number`]

The bounding box of the layer group in \[west, south, east, north] order.

[FeltBoundary](/js-sdk-api-reference/shared/feltboundary.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/layergroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
